Skip to main content
POST
/
api
/
jobs
/
list
List jobs with filters
curl --request POST \
  --url https://api.mentionlab.io/api/jobs/list \
  --header 'Content-Type: application/json' \
  --header 'x-project-id: <x-project-id>' \
  --data '
{
  "status": "pending",
  "createdBy": "<string>",
  "sort": [
    {
      "field": "<string>",
      "direction": "ASC"
    }
  ]
}
'
{
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  },
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project": {},
      "totalExecutions": 123,
      "pendingExecutions": 123,
      "retryingExecutions": 123,
      "successExecutions": 123,
      "failedExecutions": 123,
      "status": "pending",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": {},
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "<string>"
      }
    }
  ]
}

Headers

x-project-id
string
required

Project ID to specify the project context

Query Parameters

limit
number
Example:

50

page
number
Example:

1

Body

application/json
status
enum<string>

Filter by status

Available options:
pending,
processing,
completed,
failed,
partial_failed
createdBy
string

Filter by creator user ID

sort
object[]

Response

200 - application/json
page
object
required
results
object[]